> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener el estado de un trabajo de exportación

> Utilice este endpoint para recuperar el estado de un trabajo de exportación específico.



## OpenAPI

````yaml es/openapi/v3-current/matcher.yaml get /v1/export-jobs/{jobId}
openapi: 3.1.0
info:
  title: Matcher APIs
  description: >-
    Referencia completa de la API para el motor de conciliación Matcher, que
    proporciona conciliación automatizada de transacciones entre Midaz Ledger y
    sistemas externos.
  version: 4.1.0
  license:
    name: Lerian Studio General License
servers:
  - url: https://matcher.sandbox.lerian.net
security: []
paths:
  /v1/export-jobs/{jobId}:
    get:
      tags:
        - Export Jobs
      summary: Obtener el estado de un trabajo de exportación
      description: >-
        Utilice este endpoint para recuperar el estado de un trabajo de
        exportación específico.
      operationId: getExportJob
      parameters:
        - description: A unique identifier for tracing the request across services.
          in: header
          name: X-Request-Id
          schema:
            type: string
        - description: Export Job ID
          in: path
          name: jobId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Indica que la solicitud fue exitosa y la respuesta contiene los
            datos esperados.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportJobResponse'
        '400':
          description: La solicitud contiene parámetros o cuerpo no válidos.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: La solicitud no tiene credenciales de autenticación válidas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: No tiene permiso para acceder a este recurso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                ErrorM0103:
                  $ref: '#/components/examples/ErrorM0103'
        '404':
          description: El recurso solicitado no fue encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Ocurrió un error inesperado en el servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    ExportJobResponse:
      properties:
        bytesWritten:
          type: integer
        createdAt:
          type: string
        downloadUrl:
          type: string
        error:
          type: string
        expiresAt:
          type: string
        fileName:
          type: string
        finishedAt:
          type: string
        format:
          type: string
        id:
          type: string
        recordsWritten:
          type: integer
        reportType:
          type: string
        startedAt:
          type: string
        status:
          type: string
      type: object
    ErrorResponse:
      description: Respuesta de error estándar devuelta por todos los endpoints de la API
      type: object
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Código de error de aplicación estable.
          example: MTCH-0001
        title:
          type: string
          description: Título de error legible por humanos.
          example: Bad Request
        message:
          type: string
          description: Mensaje de error legible con detalles.
          example: context not found
        error:
          type: string
          description: >-
            Obsoleto. Mensaje de error para compatibilidad con versiones
            anteriores.
          deprecated: true
        details:
          description: Contexto de error adicional como pares clave-valor
          additionalProperties: {}
          type: object
  examples:
    ErrorM0103:
      summary: Insufficient Privileges
      value:
        code: MTCH-0004
        title: Forbidden
        message: >-
          You do not have the necessary permissions to perform this action.
          Please contact your administrator if you believe this is an error.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Autenticación con token Bearer (formato: "Bearer {token}")'

````